// @import '../base/base.scss';
// @import '../styles.scss';


#main {
    margin: 0 auto;
    overflow: hidden;
}

@mixin headerMobile {
    .pc {
        display: none;
    }

    .mobile-menu {
        display: block;
        cursor: pointer;

        .header-menu-icon {
            font-size: 28.5px;
            color: var(--nav-link-color);
        }

        .checkbox-modal {
            width: 24px;
            height: 24px;
            position: absolute;
            transform: translateX(-100%);
            opacity: 0;
            cursor: pointer;

            &:checked~.modal-menu {
                visibility: visible;
            }
        }

        .modal-menu {
            // display: none;
            visibility: hidden;
            z-index: 100;
            box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, .15);
            position: fixed;
            left: 17px;
            right: 17px;
            top: 17px;
            bottom: 17px;
            overflow-x: hidden;
            overflow-y: scroll;
            opacity: 0;
            transition-property: all;
            transition-duration: .3s;
            transform: scale(0.7) translate(100%, -30%);

            .navbar-container {
                background-color: #FFF;
                // background-color: red;
                width: 100%;

                .navbar-exit {
                    z-index: 1000;
                    position: absolute;
                    right: 12px;
                    top: 24px;
                    padding: 4px 12px;
                    font-size: 19px;
                    cursor: pointer;
                    color: var(--nav-link-color);
                }

                .navbar-nav {

                    .navbar-item {
                        cursor: default;
                        padding: 24px;
                        border-bottom: 1px solid var(--list-border-color);

                        .navbar-item__head {
                            color: var(--nav-link-color);
                            margin-bottom: 24px;
                            font-weight: 500;
                            font-size: 18px;
                        }

                        .navbar-list-gap {
                            display: flex;
                            flex-direction: column;
                            gap: 24px;
                        }

                        .navbar-list {
                            display: flex;
                            flex-direction: column;
                            gap: 12px;

                            .navbar-title {
                                @include navbarTitleStyle()
                            }

                            .navbar-text {
                                @include navbarTextStyle()
                            }
                        }


                        .dropdown-item-wrap {
                            color: var(--nav-link-color);
                            padding: 6px 0;

                            .account-dropdown-checkbox {
                                position: absolute;
                                width: auto;
                                display: inline;
                                z-index: 1;
                                opacity: 0;
                                width: 100%;
                                height: 28px;
                                cursor: pointer;


                                &:checked~.account-menu__list {
                                    display: block !important;
                                }

                                &:checked~.wrap>.dropdown-menu--mobile-icon {
                                    transform: rotate(180deg);
                                }
                            }

                            span {
                                @include navbarTextStyle()
                            }

                            .dropdown-menu--mobile-icon {
                                font-size: 18px;
                            }

                        }

                        .account-menu__list {
                            display: none;
                            padding: 16px 0;
                            padding-left: 8px;

                            .account-menu__item {
                                padding: 6px 0px;
                                @include navbarTextStyle()
                            }
                        }

                        .list-group-item {

                            .document__item {
                                @include documentItem();

                                &:last-child {
                                    border-bottom: none;
                                    padding-bottom: 0;
                                }

                                .document-item__rightside {
                                    background-color: rgba(51, 94, 234, .1);
                                    color: var(--primary-color);
                                    padding: 4px 12px;
                                    font-size: 11.25px;
                                    border-radius: 30px;
                                }

                            }
                        }

                    }

                    .buy-mobile-btn {

                        @include btnPrimary();
                        text-align: center;
                        border-top-left-radius: 0;
                        border-top-right-radius: 0;
                        z-index: 10;
                        width: 100%;
                        position: absolute;
                    }
                }
            }
        }
    }
}

@mixin navbarTitleStyle {
    text-transform: uppercase;
    font-size: 13px;
    color: var(--primary-color);
    line-height: 20px;
}

@mixin navbarTextStyle {
    font-size: 15px;
    color: var(--nav-link-color);
    cursor: pointer;
    font-weight: 200;
    letter-spacing: .3px;

    &:hover {
        color: var(--primary-color);
    }
}

@mixin flexContainerMobile {
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

// style
@mixin dropDownAnimation {
    visibility: hidden;
    opacity: 0;
    transition-property: all;
    transition-duration: .2s;
}

@mixin flexReverseForResponsive {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    align-items: center;

    @media (max-width: 768px) {
        flex-direction: column;
        align-items: center;
        gap: 32px;
    }
}

@mixin headerSession {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    margin-bottom: 16px;
    max-width: 700px;
    margin: 0 auto;
    margin-bottom: 64px;

    .header-title-tab {
        color: #161c2d;
        font-size: 31px;
        margin-bottom: 16px;
        font-weight: 200;
    }

    .header-desc-tab {
        @include sessionDesc();
        text-align: center;
    }

    @media (max-width: 992px) {
        .header-title-tab {
            font-size: 23px !important;
            line-height: 30px;
            letter-spacing: .1px;
        }

    }


}


@mixin sessionTitle {
    font-size: 31px;
    line-height: 40px;
    color: #161c2d;
    font-weight: 100;
    margin-bottom: 16px;
    letter-spacing: .5px;
    max-width: 420px;

    @media (min-width: 769px) and (max-width: 992px) {
        font-size: 23px !important;
        line-height: 30px;
        letter-spacing: .1px;
    }

    @media (max-width: 768px) {
        font-size: 23px !important;
        line-height: 30px;
        letter-spacing: .1px;
    }

}

@mixin sessionDesc {
    color: var(--grey-color);
    font-size: 19px;
    line-height: 30px;
    letter-spacing: .3px;
    margin-bottom: 32px;
}

// base 
@mixin btnPrimary {
    color: #FFF;
    background-color: var(--primary-color);
    padding: 15px 20px;
    transition-property: all;
    transition-duration: .2s;

    &:hover {

        box-shadow: 0 1rem 2.5rem rgba(22, 28, 45, .1), 0 .5rem 1rem -.75rem rgba(22, 28, 45, .1) !important;
        transform: translateY(-4px);
        background-color: #2b4fc2;

    }
}

@mixin documentItem {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 0;
    flex-wrap: nowrap;
    border-bottom: 1px solid var(--list-border-color);
    cursor: pointer;



    .document-item__leftside {
        display: flex;
        align-items: center;

        .document-svg {
            width: 36px;
            height: 36px;
        }

        .document-item__text-wrap {
            display: flex;
            flex-direction: column;
            margin-left: 16px;

            .document__text-title {
                font-size: 14px;
                text-transform: uppercase;
                padding-bottom: 6px;
            }

            .document__text-desc {
                color: var(--nav-link-color);
                font-size: 15px;
            }
        }
    }
}



.grid {
    width: 100%;
    display: block;
    padding: 0;
}

.grid.wide {
    max-width: 1040px;
    margin: 0 auto;
}

.p-10 {
    padding: 0 20px;
}

.p-20 {
    padding: 0 30px;
}


.row {
    display: flex;
    flex-wrap: wrap;
}

// pc
.l-0 {
    display: none;
}

.l-1 {
    flex: 0 0 8.33333%;
    max-width: 8.33333%;
}

.l-2 {
    flex: 0 0 16.66667%;
    max-width: 16.66667%;
}

.l-3 {
    flex: 0 0 25%;
    max-width: 25%;
}

.l-4 {
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
}

.l-5 {
    flex: 0 0 41.66667%;
    max-width: 41.66667%;
}

.l-6 {
    flex: 0 0 50%;
    max-width: 50%;
}

.l-7 {
    flex: 0 0 58.33333%;
    max-width: 58.33333%;
}

.l-8 {
    flex: 0 0 66.66667%;
    max-width: 66.66667%;
}

.l-9 {
    flex: 0 0 75%;
    max-width: 75%;
}

.l-10 {
    flex: 0 0 83.33333%;
    max-width: 83.33333%;
}

.l-11 {
    flex: 0 0 91.66667%;
    max-width: 91.66667%;
}

.l-12 {
    flex: 0 0 100%;
    max-width: 100%;
}

// tablet 
@media (max-width: 992px) {
    .m-1 {
        flex: 0 0 8.33333%;
        max-width: 8.33333%;
    }

    .m-2 {
        flex: 0 0 16.66667%;
        max-width: 16.66667%;
    }

    .m-3 {
        flex: 0 0 25%;
        max-width: 25%;
    }

    .m-4 {
        flex: 0 0 33.33333%;
        max-width: 33.33333%;
    }

    .m-5 {
        flex: 0 0 41.66667%;
        max-width: 41.66667%;
    }

    .m-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .m-7 {
        flex: 0 0 58.33333%;
        max-width: 58.33333%;
    }

    .m-8 {
        flex: 0 0 66.66667%;
        max-width: 66.66667%;
    }

    .m-9 {
        flex: 0 0 75%;
        max-width: 75%;
    }

    .m-10 {
        flex: 0 0 83.33333%;
        max-width: 83.33333%;
    }

    .m-11 {
        flex: 0 0 91.66667%;
        max-width: 91.66667%;
    }

    .m-12 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

// mobile 
@media (max-width: 768px) {
    .c-0 {
        display: none;
    }

    .c-1 {
        flex: 0 0 8.33333%;
        max-width: 8.33333%;
    }

    .c-2 {
        flex: 0 0 16.66667%;
        max-width: 16.66667%;
    }

    .c-3 {
        flex: 0 0 25%;
        max-width: 25%;
    }

    .c-4 {
        flex: 0 0 33.33333%;
        max-width: 33.33333%;
    }

    .c-5 {
        flex: 0 0 41.66667%;
        max-width: 41.66667%;
    }

    .c-6 {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .c-7 {
        flex: 0 0 58.33333%;
        max-width: 58.33333%;
    }

    .c-8 {
        flex: 0 0 66.66667%;
        max-width: 66.66667%;
    }

    .c-9 {
        flex: 0 0 75%;
        max-width: 75%;
    }

    .c-10 {
        flex: 0 0 83.33333%;
        max-width: 83.33333%;
    }

    .c-11 {
        flex: 0 0 91.66667%;
        max-width: 91.66667%;
    }

    .c-12 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

.bootstrap-tab__item__title,
.bootstrap-tab__item__desc {
    font-size: 17px !important;
    color: red;
}

@media (min-width: 769px) and (max-width: 992px) {



    .grid.wide {
        max-width: 720px;
    }

    // header 
    .header {
        @include headerMobile();
    }


    .content {
        .section-1 {
            .welcome-container {
                .welcome-img {
                    width: 390px;
                }

                .welcome-header {
                    font-size: 36px;
                    line-height: 42px;
                }

                .welcome-desc {
                    font-size: 19px;
                    line-height: 23px;
                    margin-bottom: 32px;
                }
            }
        }

        .section-2 {
            .feature-container {
                .feature-icon {
                    .feature-svg {}
                }

                .feature-header {
                    font-size: 18px;
                }

                .feature-desc {
                    line-height: 24px;
                }
            }
        }

        .section-3 {
            .brand-container {
                gap: 30px;

                .brand-icon {
                    width: 80px;
                }
            }
        }

        .section-4 {
            .section-4-1 {
                align-items: flex-start;


                .card-container {
                    padding: 0;

                    .card-body {
                        .card-form {
                            .card-input {
                                font-size: 15px !important;
                            }

                            &::placeholder {
                                font-size: 15px !important;

                            }
                        }
                    }
                }

                .section-4-1__text-wrap {
                    @include sessionTitle();
                }

                .check-container {
                    gap: 16px;
                    flex-direction: column;
                }
            }

            .section-4-2 {
                .bootstrap-tab-wrap {
                    .bootstrap-tab__item {
                        .bootstrap-tab__item__right-side {

                            .bootstrap-tab__item__title,
                            .bootstrap-tab__item__desc {
                                font-size: 17px;
                                letter-spacing: .2px;
                            }
                        }
                    }
                }

                .bootstrap-dashboard {
                    position: relative;

                    .bootstrap-dashboard-bg-wrap {
                        overflow: hidden;

                        .bootstrap-dashboard-bg {}

                    }

                    .bootstrap-dashboard-img-wrap {

                        .bootstrap-dashboard-img {
                            height: auto;
                            max-width: 384px;
                            transform: rotateY(-35deg) rotateX(15deg);
                            border-radius: 6px;
                        }
                    }
                }
            }


        }

        .section-5 {
            // padding-top: 80px;
            margin-top: 96px;
            margin-bottom: 100px;

            .testimonial-header {
                display: flex;
                flex-direction: column;
                text-align: center;
                align-items: center;
                margin-bottom: 16px;
                max-width: 700px;
                margin: 0 auto;
                margin-bottom: 64px;

                .testimonial-header__title {
                    color: #161c2d;
                    font-size: 24px !important;
                    margin-bottom: 16px;
                    font-weight: 200;
                }

                .testimonial-header__desc {
                    @include sessionDesc();
                    text-align: center;
                }
            }

            .testimonial-body {

                // leftside (img)
                .slider-img-wrap {
                    .slider-img {}

                    .svg-slider {
                        position: absolute;
                        z-index: 1000;
                        bottom: -21%;
                        right: -15%;
                        scale: 1.4;
                    }
                }

                //right side (text)
                .slider-text-wrap {
                    position: relative;
                    display: flex;
                    text-align: center;
                    flex-direction: column;
                    align-items: center;
                    gap: 40px;
                    height: 472px;

                    .slider-text__logo {
                        width: 151px;
                    }

                    .slider-text-desc {
                        font-size: 20px;
                        color: #161c2d;
                        letter-spacing: .4px;
                        line-height: 33px;
                    }

                    .slider-text-author {
                        @include sessionDesc();
                    }
                }

                .silder-btn {
                    z-index: 1000;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 55px;
                    height: 55px;
                    background-color: var(--primary-color);
                    border-radius: 999px;
                    position: absolute;
                    transform: translateY(350%);


                    .horizontal-arrow-icon {
                        font-size: 18px;
                        color: #FFF;
                        cursor: pointer;
                    }

                }

                .prev-btn {
                    left: -24px;

                }

                .next-btn {
                    right: -24px;

                }
            }

        }

        .section-6 {
            padding-top: 100px;
        }

        .section-7 {
            .header-big-title-tab {
                font-size: 30px !important;
            }

            .price-body {


                .card-body {
                    .price-wrap {
                        margin-top: 24px;
                        display: flex;
                        justify-content: flex-start;

                        .dollar {
                            font-size: 24px;
                            margin-top: 10px;
                        }

                        .money {
                            font-size: 40px;
                        }

                        .currency {
                            font-size: 24px;
                            font-weight: 200;
                            position: relative;
                            top: 16px;
                            line-height: 24px;
                        }
                    }
                }
            }
        }

        .section-9 {
            .header-big-title-tab {
                font-size: 30px !important;
            }
        }



    }
}


@media (max-width: 768px) {

    .grid.wide {
        max-width: 540px;
    }

    .header {
        @include headerMobile();
    }



    .content {
        .section-1 {
            padding-top: 16px;

            .welcome-container {
                @include flexContainerMobile();

                .welcome-img-wrap {
                    display: flex;
                    justify-content: center;

                    .welcome-img {
                        max-width: 500px;
                        width: 100%;
                    }
                }


                .welcome-header {
                    font-size: 36px;
                    line-height: 42px;
                    text-align: center;
                    margin: 0 20px 16px;
                }

                .welcome-desc {
                    text-align: center;
                    font-size: 19px;
                    line-height: 28px;
                    margin-bottom: 32px;
                }

                .btn-wrap {
                    justify-content: center;
                    flex-wrap: wrap;
                }
            }
        }

        .section-2 {
            .feature-container {
                .flex-container-mobile {
                    @include flexContainerMobile();

                    .feature-icon {
                        .feature-svg {}
                    }

                    .feature-header {
                        font-size: 18px;
                    }

                    .feature-desc {
                        line-height: 24px;
                    }
                }

            }
        }


        .section-4 {
            .card-container {
                padding: 0;

                .card-body {
                    .card-form {
                        .card-input {
                            font-size: 15px !important;
                        }

                        &::placeholder {
                            font-size: 15px !important;

                        }
                    }
                }
            }

            .section-4-1 {
                align-items: flex-start;

                .section-4-1__text-wrap {
                    @include sessionTitle();
                }

                .check-container {
                    gap: 20px;
                    flex-direction: column;
                }
            }

            .section-4-2 {
                flex-direction: column;
                gap: 32px;

                .section-4-2__text-wrap {
                    letter-spacing: 0px !important;
                }

                .bootstrap-tab-wrap {
                    .bootstrap-tab__item {
                        .bootstrap-tab__item__right-side {

                            .bootstrap-tab__item__title,
                            .bootstrap-tab__item__desc {
                                font-size: 17px;
                                letter-spacing: .2px;
                            }
                        }
                    }
                }

                .bootstrap-dashboard {
                    position: relative;

                    .bootstrap-dashboard-bg-wrap {
                        overflow: hidden;

                        .bootstrap-dashboard-bg {}

                    }

                    .bootstrap-dashboard-img-wrap {

                        .bootstrap-dashboard-img {
                            top: unset;
                            height: auto;
                            width: 100%;
                            transform: rotateY(-35deg) rotateX(15deg);
                            border-radius: 6px;
                        }
                    }
                }
            }
        }

        .section-5 {
            margin-top: 80px;

            .testimonial-header {

                .testimonial-header__title {
                    font-size: 24px !important;

                }
            }

            .testimonial-body {
                display: flex;
                flex-direction: column;

                .slider-text-wrap {
                    gap: 24px;
                    width: 100%;

                    .slider-overflow-text {
                        height: 270px !important;

                    }

                    .prev-btn {
                        left: 0%;
                    }

                    .slider-text-container {
                        padding: 32px;

                        .slider-text-change {
                            gap: 12px;

                            .slider-text-desc {
                                letter-spacing: 0.1px;
                                font-size: 18px;
                            }

                            .slider-text__logo {
                                width: 118px;
                            }

                            .slider-text-author {
                                font-size: 12px;
                                margin-bottom: 18px !important;
                            }
                        }
                    }





                }

                .slider-img-wrap {
                    padding-bottom: 80%;

                    .slider-img {
                        padding-bottom: 80%;

                        height: 100%;
                        border-radius: 6px;
                    }
                }

                .svg-slider {
                    display: none;
                }
            }
        }

        .section-6 {
            .section-6__number-container {
                gap: 40px !important;
            }
        }

        .section-7 {
            .price-header {
                margin-bottom: 0;
            }

            padding-top: 64px;

            .header-big-title-tab {
                font-size: 24px !important;
            }

            .price-body {

                .price-body-item-2 {
                    box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, .15);
                }

                gap: 32px;

                .card-body {
                    p {
                        margin: 0;
                    }

                    .price-wrap {
                        margin-top: 24px;
                        display: flex;
                        justify-content: flex-start;

                        .dollar {
                            font-size: 24px;
                            margin-top: 10px;
                        }

                        .money {
                            font-size: 40px;
                        }

                        .currency {
                            font-size: 24px;
                            font-weight: 200;
                            position: relative;
                            top: 16px;
                            line-height: 24px;
                        }
                    }

                    .badge-2 {
                        margin-bottom: 48px !important;
                    }
                }
            }
        }

        .section-8 {
            .faq-container {
                gap: 48px;
            }
        }

        .section-9 {
            .header-big-title-tab {
                font-size: 30px !important;
            }
        }



    }

    .footer-container {
        gap: 32px !important;
    }

    .social-media-wrap {
        margin-bottom: 0 !important;
    }

}

@media (max-width: 580px) {
    .grid.wide {
        width: 100%;
    }
}